!!FUZZY!! - replacement source should be same language where possible
Closed, InvalidPublic

Description

FUZZY uses original English message where I expect it to use the latest non-FUZZY translation before the FUZZY current one. Only if that cannot be found, I expect it to fall back to English.

See https://meta.wikimedia.org/wiki/Tech/News/2015/34/ksh
where there is:

  • Older gadgets that are not using ResourceLoader are not loading anymore. They need to be updated. [4] [5]

(untranslated), while an unfuzzy translation exists at
https://meta.wikimedia.org/w/index.php?title=Translations:Tech/News/2015/34/10/ksh&oldid=13121982
with a newer FUZZY one, see:
https://meta.wikimedia.org/w/index.php?title=Translations:Tech/News/2015/34/10/ksh&action=history

Purodha updated the task description. (Show Details)
Purodha raised the priority of this task from to Needs Triage.
Purodha added a subscriber: Purodha.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 10:09 PM
Aklapper renamed this task from !!FUZZY!! - replacemet source should be same language where possible to !!FUZZY!! - replacement source should be same language where possible.Aug 15 2015, 3:31 PM
Aklapper set Security to None.

We currently err on the side of displaying accurate information in other language rather than possible outdated information in the target language.

Unfortunately, there are old/new message pairs where either is the better choice, Yet a choice cannot be made automatically.

use the latest non-FUZZY translation before the FUZZY current one

Makes no sense. Fuzzying (currently) means that the previous translation should never be used. Restoring the traditional meaning of fuzzying is tracked at T60429.

Nemo_bis closed this task as Invalid.Sep 10 2015, 6:55 AM
Nemo_bis claimed this task.